Main Page Widgets glibmm Namespaces Book

# Glib::Interface Class Reference

Inheritance diagram for Glib::Interface:

[legend]
List of all members.

## Public Member Functions
| Interface (const Glib::Interface_Class& interface_class)
| Interface (GObject* castitem)
virtual | ~Interface ()
GObject* | gobj ()
| Provides access to the underlying C GtkObject.
const GObject* | gobj () const
| Provides access to the underlying C GtkObject.

## Constructor & Destructor Documentation

Glib::Interface::Interface | ( | const Glib::Interface_Class & | interface_class | ) | `[explicit]`

Glib::Interface::Interface | ( | GObject* | castitem | ) | `[explicit]`

virtual Glib::Interface::~Interface | ( |  | ) | `[virtual]`

## Member Function Documentation

GObject* Glib::Interface::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

const GObject* Glib::Interface::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

The documentation for this class was generated from the following file:

- interface.h